加载中
Ubuntu 18.04 安装mysql5.7.23

一、安装。 在 Ubuntu 18.04 中,默认情况下,只有最新版本的 MySQL 包含在 APT 软件包存储库中,要安装它,只需更新服务器上的包索引并安装默认包 apt-get。 #命令1 sudo apt-get update #命...

昨天 12:13
13
3、javax.net.ssl.SSLHandshakeException: Remote host closed connection during handshake 错误

使用Jmeter做测试的时候,出现 javax.net.ssl.SSLHandshakeException: Remote host closed connection during handshake 错误,解决方式是修改java安装路径的文件:G:\Java\jre1.8.0_201\li...

06/14 15:14
4
2、JMeter并发测试遇到Socket closed错误

使用JMeter测试时,当线程数超过500,就会出现 socket closed 的错误。 解决方式。 使用git bash 运行命令ulimit -a可以看到open files等于256,也就是我运行JMeter的机器,最大文件句柄数是...

06/13 13:49
6
1、使用Jmeter做简单的测试

一、安装并运行: 下载Jmeter之后解压。我解压到G盘,然后直接运行 G:\apache-jmeter-4.0\bin\jmeter.bat 即可。 二、设置语言。 Options --> choose language -->chinese(Simplified) 三、添...

06/13 12:30
8
3、Waiting for another flutter command 错误解决

错误:Waiting for another flutter command to release the startup lock... 错误的原因:因为去国外下载依赖,没有办法下载。阻塞了。 解决方式: 先打开任务管理器,结束掉所有dart.exe。...

05/30 14:34
4
2、Flutter 的安装和idea配置

根据Dart官方的说明:如果您只开发移动应用,那么您不需要Dart SDK; 只需安装Flutter(Flutter里面包含了Dart SDK)。 1、下载Flutter的sdk。 官方下载地址是:https://storage.googleapis....

1、安装dart的SDK和dart的idea插件

最近看一个源码用了dart语言。记录一下安装过程。 一、安装dart的SDK。 官方的安装说明:https://dart.dev/tools/sdk#install 1、安装方式的选择: sdk的下载地址:https://dart.dev/get-da...

05/30 11:11
7
不要在MySQL中使用utf8,改用utf8mb4

mysql官网对字符集的说明:https://dev.mysql.com/doc/refman/8.0/en/charset-unicode.html 一、为什么需要使用utf8mb4。 在mysql、MariaDB中: MySQL的“utf8mb4”是真正的“UTF-8”。长度是...

spring的参数校验

1、controller上校验。 直接在controller的方法参数上使用@Valid @RequestBody。 @PostMapping("") public void createAddress( @Valid @RequestBody AddressCreateDTO dto) { // 其他代码 ...

05/14 16:13
3
springboot中国际化实现

一、国际化怎么确定语言。 springboot国际化的时候,是通过interface LocaleResolver 接口的实现类的bean来确定是哪种语言的。这个接口有2个方法: 1、resolveLocale 用来获取当前语言环境。...

05/14 11:33
33
1、常用规则引擎、java规则引擎的标准。

一、概述。JSR94标准 在本文中,我们将介绍一些最流行的Java规则引擎。 在应用程序中,业务规则很复杂(比如:优惠券的使用规则)。如果用源代码实现这些规则,很繁琐。通过规则引擎将业务逻...

eclipse安装lombok插件

安装过程参考:https://jingyan.baidu.com/article/22fe7cede363d83002617f3a.html 安装之后:右键单击工程名 Maven->Update Project......

05/08 13:14
4
下载并安装eclipse

因为 IntelliJ IDEA 的lombok插件不支持@SuperBuilder注解。不得已暂时用回eclipse。 eclipse的下载: 下载目录如下:https://www.eclipse.org/downloads/ eclipse安装有2个方式: 下载安装程...

05/08 12:26
4
java的Bean Validation 2.0

一、什么是Bean Validation 2.0。 JSR是Java Specification Requests的缩写,意思是Java 规范提案。是指向java管理组织,JCP(Java Community Process)标准组织提出新增一个标准化技术规范的正...

05/06 11:06
10
2、lombok的注解影响不了父类的属性

lombok的注解影响不了父类的属性,只能影响当前类的属性。例子如下: 例子1:子类Test中使用@Setter、@Getter,并不能给父类的属性id生成Setter、Getter。 public class BaseEntity{ private...

04/29 11:04
47
1、lombok的初始使用

lombok的官方文档: https://projectlombok.org/features/all 使用方式如下: 一、导入依赖: <dependency> <groupId>org.projectlombok</groupId> <artifactId>lombok</artifactId> <versi...

04/29 10:51
4
SpringBoot三种获取Request和Response的方法

一、可以封装为静态方法。 ServletRequestAttributes servletRequestAttributes = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes(); HttpServletRequest request = ...

04/26 14:15
36
Gradle的安装和在idea的配置

下载gradle 下载地址:http://services.gradle.org/distributions/ 。我下载的是 gradle-5.4-bin.zip。然后解压到G:\gradle-5.4 配置环境变量。 有3个环境变量: GRADLE_HOME 等于gradle的安...

04/23 15:33
16
jpa @OneToMany 删除不了集合数据

在使用jpa的时候,如果有@OneToMany关系。想删除many的单个数据。有时候删除不了。 jap关系如下:一个用户对应多个角色。并且user实体中CascadeType.ALL //user实体 @OneToMany(cascade = C...

04/08 11:28
4
如何在ubantu中安装java(使用apt-get)

使用ppa安装java8如下: sudo add-apt-repository ppa:webupd8team/java sudo apt-get update sudo apt-get install oracle-java8-installer 有关更多信息,请参阅: http://www.webupd8.org...

03/06 15:31
56

没有更多内容

加载失败,请刷新页面

返回顶部
顶部